## Contribution pattern:  new colab notebook illustrating conventions of a package

Do you have a favourite Python package for time-series analysis that you would like to see included in the funnel? There's some discussion
on this [LI post](https://www.linkedin.com/posts/petercotton_timeseries-timeseriesanalysis-forecasting-activity-6844102671906037760-bGtu)

### When to use this pattern. 

- You maintain a time-series package, or just really like one. 
- Or you are intrigued by something on this [listing](https://github.com/microprediction/timemachines/issues?q=is%3Aissue+is%3Aopen+label%3A%22create+colab+example%22)

### How to contribute 

Notebook examples of timeseries packages are maintained in a separate repository [timeseries-notebooks](https://github.com/microprediction/timeseries-notebooks). However
suggestions for which ones to include next are maintained in the [timemachines issues](https://github.com/microprediction/timemachines/issues?q=is%3Aissue+is%3Aopen+label%3A%22create+colab+example%22). 

Hopefully the issues are self-explanatory. See [this one](https://github.com/microprediction/timemachines/issues/83) for example. 

### Why this helps

Well, the primary maintainer of timemachines (and other contributors possible) suffer from convention fatigue as a result of looking at too many packages. By creating a simple notebook example you might
be helping more than you think. Given a colab notebook example, it is usually short work to create a new skater and then include it in the Elo ratings. 




![](https://i.imgur.com/l14hKmr.jpg)
